Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent

Direct Known Subclasses:
  `TdApi.PushMessageContentAnimation`, `TdApi.PushMessageContentAudio`, `TdApi.PushMessageContentBasicGroupChatCreate`, `TdApi.PushMessageContentChatAddMembers`, `TdApi.PushMessageContentChatChangePhoto`, `TdApi.PushMessageContentChatChangeTitle`, `TdApi.PushMessageContentChatDeleteMember`, `TdApi.PushMessageContentChatJoinByLink`, `TdApi.PushMessageContentChatJoinByRequest`, `TdApi.PushMessageContentChatSetTheme`, `TdApi.PushMessageContentContact`, `TdApi.PushMessageContentContactRegistered`, `TdApi.PushMessageContentDocument`, `TdApi.PushMessageContentGame`, `TdApi.PushMessageContentGameScore`, `TdApi.PushMessageContentHidden`, `TdApi.PushMessageContentInvoice`, `TdApi.PushMessageContentLocation`, `TdApi.PushMessageContentMediaAlbum`, `TdApi.PushMessageContentMessageForwards`, `TdApi.PushMessageContentPhoto`, `TdApi.PushMessageContentPoll`, `TdApi.PushMessageContentScreenshotTaken`, `TdApi.PushMessageContentSticker`, `TdApi.PushMessageContentText`, `TdApi.PushMessageContentVideo`, `TdApi.PushMessageContentVideoNote`, `TdApi.PushMessageContentVoiceNote`

Enclosing class:
  TdApi

public abstract static class TdApi.PushMessageContent extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContent()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PushMessageContent

public PushMessageContent()